Bug 574455 - Marvell Yukon integrated ethernet controller 88E8050 problems
Marvell Yukon integrated ethernet controller 88E8050 problems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-17 11:12 EDT by Panos Kavalagios
Modified: 2010-12-03 12:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:10:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Panos Kavalagios 2010-03-17 11:12:54 EDT
Description of problem: Kernel module sky2 causes kernel oops when a high network traffic is performed.


Version-Release number of selected component (if applicable): kernel-2.6.32.9-70.fc12.x86_64


How reproducible: Under high network traffic. A big download would be fine.


Steps to Reproduce:
1. Download a big file
2. Wait a couple of minutes

  
Actual results: The following stack traces are printed:
eth0: hw csum failure.
Pid: 0, comm: swapper Not tainted 2.6.32.9-70.fc12.x86_64 #1
Call Trace:
<IRQ>  [<ffffffff813b37af>] netdev_rx_csum_fault+0x3b/0x3f
[<ffffffff813ad74a>] __skb_checksum_complete_head+0x51/0x65
[<ffffffff813ad76f>] __skb_checksum_complete+0x11/0x13
[<ffffffff81417035>] nf_ip_checksum+0xdd/0xe3
[<ffffffff813d8300>] udp_error+0x137/0x191
[<ffffffff81050c80>] ? default_wake_function+0x12/0x14
[<ffffffff810748b9>] ? autoremove_wake_function+0x16/0x39
[<ffffffff813d3d1e>] nf_conntrack_in+0x17a/0x86e
[<ffffffff8104721a>] ? enqueue_entity+0x25b/0x268
[<ffffffff8123026c>] ? __bitmap_weight+0x40/0x8f
[<ffffffff814176a3>] ipv4_conntrack_in+0x21/0x23
[<ffffffff813d0dfe>] nf_iterate+0x46/0x89
[<ffffffff813e016a>] ? ip_rcv_finish+0x0/0x3ba
[<ffffffff813d0eab>] nf_hook_slow+0x6a/0xcb
[<ffffffff813e016a>] ? ip_rcv_finish+0x0/0x3ba
[<ffffffff813e07a0>] ip_rcv+0x27c/0x2c9
[<ffffffff813b2f17>] netif_receive_skb+0x3fc/0x421
[<ffffffff813b309e>] napi_skb_finish+0x29/0x3d
[<ffffffff813b34f9>] napi_gro_receive+0x2f/0x34
[<ffffffffa01fd09a>] sky2_poll+0x813/0xa88 [sky2]
[<ffffffff8107f2b5>] ? clockevents_program_event+0x7a/0x83
...

Expected results: The ethernet controller should have worked even on high load


Additional info: This is the come back of bug 514693. Kernel version kernel-2.6.31.9-174.fc12.x86_64 was the first release that the problem observed. The workaround to restore the connection is to remove sky2 module and re-insert it:

# rmmod sky2
# modprobe sky2
Comment 1 Bug Zapper 2010-11-03 15:23:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 12:10:50 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.